@font-face {
    font-family: 'Boochild';
    src: url('/assets/fonts/Boochild.woff2') format('woff2'),
         url('/assets/fonts/Boochild.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

body {
    font-family: Seravek, 'Gill Sans Nova', Ubuntu, Calibri, 'DejaVu Sans', source-sans-pro, sans-serif;
    font-weight: normal;
    margin: 0;
    padding: 20px;
    max-width: 1200px;
    margin: 0 auto;
    background-color: #fffff0;
    color: #1c1b1a;
}

header {
    text-align: center;
}

header p {
    margin: 0.2em;
}

header h1 {
    font-size: 2.5em;
    text-shadow: -2px 2px 0 #ffb6d9;
}

a {
    color: #fa5dcd;
}

.color-peek {
    margin-top: -10px;
}

.color-peek svg {
    width: 20px;
    height: 20px;
    vertical-align: middle;
}

.color-peek a {
    text-decoration: none;
}

.color-peek a:hover {
    color: #1c1b1a;
}

.mildliner-svg svg {
    height: 35px;
    text-align: center;
    display: flex;
    margin: 1em auto;
    width: 100%;
}

hr {
    margin-top: 1.5em;
    margin-bottom: 1.5em;
    width: 50px;
}

.mildliner-wrap {
    text-align: center;
}

.input, label {
    font-size: 1.2em;
}

input[type="radio"] {
    display: none;
}

label {
    line-height: 2em;
    font-family: 'Boochild', sans-serif;
    letter-spacing: 0.2em;
    text-transform: lowercase;
}

label:hover {
    cursor: pointer;
}

label svg {
    max-height: 25px;
}

.label-wrap {
    display: inline;
    position: relative;
    padding: 10px;
}

.menu-bg {
    display: none;
    position: absolute;
    top: 5px;
    right: 20px;
    left: 20px;
    bottom: 10px;
    opacity: 0.2;
}

label:hover .menu-bg {
    display: block;
}

input[type="radio"]:checked + label .menu-bg {
    display: block;
}

.mildliner-singles {
    display: flex;
    flex-direction: column;
    text-align: center;
}

.mildliner h2,
.mildliner p {
    margin: 0;
}

.mildliner p {
    font-weight: bold;
    font-family: ui-monospace, 'Cascadia Code', 'Source Code Pro', Menlo, Consolas, 'DejaVu Sans Mono', monospace;
    letter-spacing: 0.1em;
}

.mildliner h2 {
    margin-bottom: 0.1em;
}

.mildliner h2,
.marker {
    font-family: 'Boochild', sans-serif;
    letter-spacing: 0.2em;
    text-transform: lowercase;
}

.mildliner h2 svg,
.marker svg {
    width: 20px;
    height: 20px;
    margin-left: 0.3em;
}

h2.with-icon {
    display: flex;
    align-items: center;
    justify-content: center;
}

.mildliner-set {
    margin-bottom: 1em;
}

.mildliner-set h1 {
    text-align: center;
}

.mildliner {
    position: relative;
    padding: 15px 10px;
    text-align: center;
    height: 60px;
}

#by-mix .mildliner {
    height: 50px;
}

.mildliner:hover {
    cursor: pointer;
    opacity: 0.9;
}

.mildliner-bg {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

.mildliner-info {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.mildliner-info.light-text {
    color: #dfdfd6;
}

.mildliner-metadata {
    font-family: ui-monospace, 'Cascadia Code', 'Source Code Pro', Menlo, Consolas, 'DejaVu Sans Mono', monospace;
    font-weight: normal;
    font-size: 0.8em;
    padding-top: 5px;
    display: flex;
    align-items: center;
    grid-gap: 5px;
}

.mildliner-metadata svg {
    width: 20px;
    height: 20px;
    margin-left: 0.3em;
}

#radio-mildliner:checked ~ #by-color,
#radio-mildliner:checked ~ #by-mix,
#radio-mildliner:checked ~ #by-fine,

#radio-color:checked ~ #by-mildliner,
#radio-color:checked ~ #by-mix,
#radio-color:checked ~ #by-fine,

#radio-mix:checked ~ #by-color,
#radio-mix:checked ~ #by-mildliner,
#radio-mix:checked ~ #by-fine,

#radio-fine:checked ~ #by-color,
#radio-fine:checked ~ #by-mildliner,
#radio-fine:checked ~ #by-mix {
    display: none;
}

.key {
    margin: 0;
    font-weight: bold;
}

.key svg {
    width: 20px;
    height: 20px;
    vertical-align: middle;
}

.available-in {
    display: flex;
    align-items: center;
    justify-content: center;
    grid-gap: 5px;
    margin-top: 10px;
    padding-bottom: 5px;
}

.available-in svg {
    width: 22px;
    height: 22px;
}

.print-header {
    display: none;
}

@media print {
    @page { margin: 1em 2em; }

    body {
        margin: 0;
        padding: 0;
        font-size: 1em;
        background-color: white;
    }

    .mildliner-wrap {
        margin-top: 0!important;
    }

    .mildliner-bg {
        width: 10%;
    }

    .mildliner-info {
        justify-content: flex-start;
        flex-direction: row;
        text-align: left;
        margin-left: 12%;
    }

    .mildliner,
    #by-mildliner .mildliner {
        height: auto!important;
    }

    header,
    input,
    label,
    .mildliner-svg,
    .mildliner-color, 
    .mildliner-metadata,
    .color-peek,
    .type-info,
    .key {
        display: none;
    }

    h1 {
        text-align: left!important;
        font-size: 1em;
    }

    h2 {
        font-size: 0.7em;
    }

    .type-container-inner {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    .available-in {
        margin-left: 1em;
    }
    .available-in svg {
        width: 18px;
        height: 18px;
    }

    .print-header {
        display: block;
        text-align: center!important;
    }

    .mildliner-info.light-text {
        color: #1c1b1a;
    }
}